## pocsuite3 1.8.10

=== requirements.txt ===
requests >= 2.22.0
PySocks >= 1.7.1
requests-toolbelt >= 0.9.1
urllib3 >= 1.25.6
chardet >= 3.0.4
termcolor >= 1.1.0
colorama >= 0.4.4
prettytable >= 0.7.2
colorlog >= 4.7.2
scapy >= 2.4.4
pyOpenSSL >= 20.0.0
Faker >= 0.7.7
pycryptodomex >= 3.9.0

=== debian/changelog ===
pocsuite3 (1.8.10-1) unstable; urgency=medium

  * New upstream version 1.8.10
  * add gnupg to build-depends
  * Bump std-version to 4.6.0
  * switch homepage from http to https
  * add python3-openssl to depends
  * update copyright file
  * update upstream watch address

 -- Tian Qiao <abcnsxyz@gmail.com>  Tue, 11 Jan 2022 10:58:20 +0800

pocsuite3 (1.7.7-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Tian Qiao <abcnsxyz@gmail.com>  Mon, 22 Nov 2021 18:18:20 +0800

pocsuite3 (1.7.7-1) unstable; urgency=low

  * Initial release. Closes: #990218

 -- Tian Qiao <abcnsxyz@gmail.com>  Tue, 27 Jul 2021 12:22:47 +0800

=== debian/control ===
Source: pocsuite3
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Tian Qiao <abcnsxyz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               gnupg,
               dh-python,
               python3-all,
               python3-setuptools
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://pocsuite.org
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pocsuite3
Vcs-Git: https://salsa.debian.org/pkg-security-team/pocsuite3.git
X-Python3-Version: >= 3.6

Package: pocsuite3
Architecture: all
Multi-Arch: foreign
Depends: binutils,
         nasm,
         python3-openssl,
         ${misc:Depends},
         ${python3:Depends}
Description: Open-sourced remote vulnerability testing framework
 Pocsuite3 is an open-sourced remote vulnerability testing and proof-of-concept
 development framework developed by the Knownsec 404 Team. It comes with a
 powerful proof-of-concept engine, many nice features for the ultimate
 penetration testers and security researchers.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/knownsec/pocsuite3/releases/latest .*/v(\d\S+)\.tar\.gz

## pocsuite3 1.9.6

=== debian/changelog ===
pocsuite3 (1.9.6-1) unstable; urgency=medium

  * New upstream version 1.9.6
  * Bump std-version to 4.6.1
  * Switch the url on d/watch to point to tags

 -- Tian Qiao <abcnsxyz@gmail.com>  Wed, 6 Jul 2022 15:09:55 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pocsuite.org
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pocsuite3
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pocsuite3.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

# The test suite are using the internet, so we have disabled
# it at package build time
override_dh_auto_test:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/archive\/refs\/tags\/(v?\d\S+).tar.gz/releases\/download\/$1\/$1.tar.gz.asc/" \
https://github.com/knownsec/pocsuite3/tags .*/v(\d\S+)\.tar\.gz

## pocsuite3 2.0.3

=== requirements.txt ===
--- 
+++ 
@@ -11,3 +11,7 @@
 pyOpenSSL >= 20.0.0
 Faker >= 0.7.7
 pycryptodomex >= 3.9.0
+dacite >= 1.6.0
+PyYAML >= 6.0
+lxml >= 4.6.0
+mmh3 >= 3.0.0

=== debian/changelog ===
pocsuite3 (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * Bump std-version to 4.6.2
  * Update copyright file

 -- Tian Qiao <abcnsxyz@gmail.com>  Wed, 13 Feb 2025 16:56:55 -0700

pocsuite3 (1.9.6-2) unstable; urgency=medium

  * Team Upload
  * Add dependency on python3-zombie-telnetlib (Closes: #1084542)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 26 Nov 2024 23:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Tian Qiao <abcnsxyz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                gnupg,
-               dh-python,
                python3-all,
                python3-setuptools
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pocsuite.org
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pocsuite3
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pocsuite3.git
@@ -22,6 +22,7 @@
 Depends: binutils,
          nasm,
          python3-openssl,
+         python3-zombie-telnetlib,
          ${misc:Depends},
          ${python3:Depends}
 Description: Open-sourced remote vulnerability testing framework

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=pybuild

# The test suite are using the internet, so we have disabled
# it at package build time
override_dh_auto_test:

## pocsuite3 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -15,3 +15,5 @@
 PyYAML >= 6.0
 lxml >= 4.6.0
 mmh3 >= 3.0.0
+docker >=  6.1.3
+packaging

=== debian/changelog ===
pocsuite3 (2.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.1.0
  * Drop dependency on python3-six
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Aug 2025 21:36:42 +0200

pocsuite3 (2.0.3-3) unstable; urgency=medium

  * Fix NameError: name 'split_first' is not defined
  * Add missing dependency python3-six

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 May 2025 09:39:45 +0200

pocsuite3 (2.0.3-2) unstable; urgency=medium

  * Team Upload
  * Add a patch to remove requirement of mmh3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 May 2025 14:57:08 +0200

=== debian/control ===
Source: pocsuite3
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Tian Qiao <abcnsxyz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gnupg,
 python3-all,
 python3-setuptools,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://pocsuite.org
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pocsuite3
Vcs-Git: https://salsa.debian.org/pkg-security-team/pocsuite3.git
X-Style: black

Package: pocsuite3
Architecture: all
Multi-Arch: foreign
Depends:
 binutils,
 nasm,
 python3-openssl,
 python3-zombie-telnetlib,
 ${misc:Depends},
 ${python3:Depends},
Description: Open-sourced remote vulnerability testing framework
 Pocsuite3 is an open-sourced remote vulnerability testing and proof-of-concept
 development framework developed by the Knownsec 404 Team. It comes with a
 powerful proof-of-concept engine, many nice features for the ultimate
 penetration testers and security researchers.

=== debian/watch ===
version=4
#opts="pgpsigurlmangle=s/archive\/refs\/tags\/(v?\d\S+).tar.gz/releases\/download\/$1\/$1.tar.gz.asc/" \
https://github.com/knownsec/pocsuite3/tags .*/v(\d\S+)\.tar\.gz
